MediaWiki:Common.css:修订间差异

imported>=海豚=
无编辑摘要
imported>=海豚=
无编辑摘要
第532行: 第532行:
#breadcrumb a:hover {
#breadcrumb a:hover {
     color: #35acc5;
     color: #35acc5;
}
/* info类模板 */
.infoBox {
    width:80%;
    margin: 0 auto;
    box-shadow: 0 1px 2px 0 rgba(0,0,0,.14), 0 1px 5px 0 rgba(0,0,0,.12), 0 2px 1px -2px rgba(0,0,0,.2);
}
.infoBoxx {
  border-radius: 5px;
  overflow: hidden;
}
.infobox {
  margin-top: 0.4em ;
  margin-left: 1em;
  padding: 0.2em;
  float: right;
  clear: right;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  border-radius: 4px;
  overflow: hidden;
  background: rgba(251,251,251,0.7);
}
.infotemplatebox {
  margin-top: 0.4em ;
  margin-left: 1em;
  padding: 0.2em;
  float: right;
  clear: right;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  border-radius: 4px;
  overflow: hidden!important;
  background: rgba(251,251,251,0.7);
}
.infoBoxTitle {
    margin: 3px auto;
    padding: 0;
    text-align: center;
    font-weight: 700;
}
.infoBoxIcon {
    display: table-cell;
    padding: 2px 0 2px .5em;
    vertical-align: middle;
}
.infoBoxText {
    display: table-cell;
    padding: .25em .5em .25em 1.3em;
    width: 100%;
    vertical-align: middle;
}
.infoBoxContent new{
  padding: 0.6em;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  border-radius: 5px;
  overflow: hidden;
  background: rgba(251,251,251,0.7);
}
.infoBoxContent {
    padding: 5px;
    border-left-width: 0;
    background: #fbfbfb;
}
.infoBoxBelow {
    margin: 0 auto;
    padding: 0;
    text-align: center;
}
}
/* 回到顶部 */
/* 回到顶部 */
第627行: 第560行:
.action-submit .backToTop {
.action-submit .backToTop {
   display: none !important;
   display: none !important;
}
/* 切换列表 */
.wds-dropdown {
    display: inline-block;
    position: relative;
}
.wds-dropdown__content {
display: none;
    background-color: #f3f4f4eb;
    border: 1px solid #cececed4;
    border-radius: 4px;
    left: 50%;
    min-width: 70%;
    height: 100%;
    padding: 5px 0;
    position: absolute;
    top: 100%;
    transform: translateX(-50%);
    z-index: 1;
}
.wds-dropdown__toggle:after{
text-decoration: none !important;
    border: 1px solid #cececed4;
    border-bottom: 1px dotted #f3f4f4eb;
    cursor: pointer;
    position: relative;
}
.wds-dropdown:before {
display: none;
    border: 9px solid transparent;
    border-bottom: 9px solid #f3f4f4eb;
    margin-left: -9px;
}
.wds-dropdown:after, .wds-dropdown:before {
    bottom: -1px;
    content: "";
    height: 0;
    left: 50%;
    position: absolute;
    width: 0;
    z-index: 2;
}
.wds-dropdown:hover .wds-dropdown__content {
display: inline-block;
}
.wds-dropdown:hover::before {
display:  inline-block;
}
/* 解决pre不换行的问题 */
pre {
    white-space: pre-wrap; /* CSS-3 */
    white-space: -moz-pre-wrap; /* Mozilla, since 1999 */
    white-space: -pre-wrap; /* Opera 4-6 */
    white-space: -o-pre-wrap; /* Opera 7 */
    word-wrap: break-word; /* Internet Explorer 5.5+ */
}
/* 页面底部导航框(2011年8月16日引自中文维基)(所谓大家族模板) */
table.navbox {
    clear: both;
    margin: auto;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    padding: 1px;
    text-align: center;
    width: 100%;
    font-size: 101%!important;
    line-height: 1.8;
}
table.navbox+table.navbox {
    margin-top: -1px;
}
.navbox-title,
.navbox-abovebelow,
table.navbox th {
    padding-left: 1em;
    padding-right: 1em;
    text-align: center;
}
.navbox-group {
    font-weight: 700;
    padding-left: 1em;
    padding-right: 1em;
    white-space: nowrap;
}
.navbox,
.navbox-subgroup {
    background: none repeat scroll 0 0 #fdfdfd;
}
.navbox-list {
    border-color: #fdfdfd;
}
.navbox-title,
table.navbox th {
    background: none repeat scroll 0 0 #a5e4a5;
}
.navbox-abovebelow,
.navbox-group,
.navbox-subgroup .navbox-title {
    background: none repeat scroll 0 0 #c0ecc0;
}
.navbox-subgroup .navbox-group,
.navbox-subgroup .navbox-abovebelow {
    background: none repeat scroll 0 0 #e6f6e6;
}
.navbox-even {
    background: none repeat scroll 0 0 #f5fcf5;
}
.navbox-odd {
    background: none repeat scroll 0 0 transparent;
}
.collapseButton {
    float: right;
    font-weight: 400;
    text-align: right;
    width: auto;
}
.navbox .collapseButton {
    width: 6em;
}
/* Fix by case : Rev 1327309 ([[Special:Permalink/1327309]])
    Address alignment issue of nested tabs in Navbox */
.navbox .TabLabel {
    text-align: left;
}
/* Tabs */
.tab .TabLabelText {
    border-top: 3px solid transparent;
    padding: 1px;
    background: #fff;
    border-left: 1px solid transparent;
    border-right: 1px solid transparent;
    cursor: pointer;
    flex: none;
}
.tab .TabLabel {
    z-index: 2;
    position: relative;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
    display: flex;
    flex-wrap: wrap;
}
.tab .TabLabelText.selected {
    border-top: 3px solid green;
    padding: 1px;
    background: white;
    border-left: 1px solid #aaa;
    border-right: 1px solid #aaa;
}
.tab .TabContent {
    background: white;
    padding: 20px 30px;
    position: relative;
    z-index: 1;
    border: 1px solid #aaa;
}
.tab .TabContentText {
    display: none;
}
.tab .TabContentText.selected {
    display: block;
}
.Tabs .Tab {
    border-bottom: 1px solid #aaa;
}
.Tabs .Tab:first-child {
    border-top: 1px solid #aaa;
}
.Tabs .Tab .TabLabelText {
    padding: 7px;
}
.Tabs .Tab .TabContentText {
    padding: 3px;
}
}
/* 表格宽度 */
/* 表格宽度 */